Subject: Re: [PATCH net-next v6 0/5] net: napi: add CPU affinity to napi->config

From: Jakub Kicinski <[email-masked]>
Date: Mon, 20 Jan 2025 17:03:58 -0800

On Fri, 17 Jan 2025 17:33:30 -0700 Ahmed Zaki wrote:
> Drivers usually need to re-apply the user-set IRQ affinity to their IRQs
> after reset. However, since there can be only one IRQ affinity notifier
> for each IRQ, registering IRQ notifiers conflicts with the ARFS rmap
> management in the core (which also registers separate IRQ affinity
> notifiers).   
> 
> Move the IRQ affinity management to the napi struct. This way we can have
> a unified IRQ notifier to re-apply the user-set affinity and also manage
> the ARFS rmaps. Patches 1 and 2 move the ARFS rmap management to CORE.
> Patch 3 adds the IRQ affinity mask to napi_config and re-applies the mask
> after reset. Patches 4-6 use the new API for bnxt, ice and idpf drivers.

Sorry for not-super-in-depth reviews, the patches didn't apply for me :(
But feels like we are pretty close.
-- 
pw-bot: cr